{
  "type" : "record",
  "name" : "ConsentStatus",
  "namespace" : "org.gel.models.participant.avro",
  "doc" : "Consent Status for 100k program",
  "fields" : [ {
    "name" : "programmeConsent",
    "type" : "boolean",
    "doc" : "Is this individual consented to the programme?\n        It could simply be a family member that is not consented but for whom affection status is known",
    "default" : false
  }, {
    "name" : "primaryFindingConsent",
    "type" : "boolean",
    "doc" : "Consent for feedback of primary findings?",
    "default" : false
  }, {
    "name" : "secondaryFindingConsent",
    "type" : "boolean",
    "doc" : "Consent for secondary finding lookup",
    "default" : false
  }, {
    "name" : "carrierStatusConsent",
    "type" : "boolean",
    "doc" : "Consent for carrier status check?",
    "default" : false
  } ]
}
